# Generated from unicorn-cuba-base-1.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name unicorn-cuba-base

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: Web appliaction base powered by Unicorn and Cuba
License: MIT
URL: http://github.com/jpastuszek/unicorn-cuba-base
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.13
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(jeweler) >= 1.8.8
# BuildRequires: rubygem(jeweler) >= 1.8
# BuildRequires: rubygem(jeweler) < 2
# BuildRequires: rubygem(capture-output) >= 1.0
# BuildRequires: rubygem(capture-output) < 2
BuildArch: noarch

%description
Web application base powered by Unicorn HTTP server and based on Cuba
framework extended with additional Rack middleware and Cuba plugins.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Thu Sep 16 2021 mockbuilder - 1.6.0-1
- Initial package
